# OAuth::__construct

(PECL OAuth >= 0.99.1)

OAuth::__construct — Create a new OAuth object

### Description

public OAuth::__construct ( string `$consumer_key` , string `$consumer_secret` [, string `$signature_method` = `OAUTH_SIG_METHOD_HMACSHA1` [, int `$auth_type` = 0 ]] )

Creates a new OAuth object

### Parameters

`consumer_key`

  The consumer key provided by the service provider.

`consumer_secret`

  The consumer secret provided by the service provider.

`signature_method`

  This optional parameter defines which signature method to use, by default it is `OAUTH_SIG_METHOD_HMACSHA1` (HMAC-SHA1).

`auth_type`

  This optional parameter defines how to pass the OAuth parameters to a consumer, by default it is `OAUTH_AUTH_TYPE_AUTHORIZATION` (in the Authorization header).